<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/
require_once("MandaCorreos/FuncionSendMail.php");
require_once("libs/funciones.php");
$usr=$_REQUEST['usr'];
$ParaEmail=$_REQUEST['email'];
$ParaNombre=$_REQUEST['nombre'];
$comentario=$_REQUEST['comentario'];
if(file_exists("config.ini")){
	$vlineas = file("config.ini");
	foreach ($vlineas as $sLinea) {
		if(substr($sLinea,0,25) == "CUERPO_USUARIO_RECHAZADO="){
			$body=trim(str_replace("CUERPO_USUARIO_RECHAZADO=","",$sLinea));
		}else if(substr($sLinea,0,25) == "ASUNTO_USUARIO_RECHAZADO="){
			$SubjectMessage=trim(str_replace("ASUNTO_USUARIO_RECHAZADO=","",$sLinea));
		}
	}
	$SubjectMessage=str_replace("<<USERNAME>>",$usr,str_replace("<<NOMBRE>>",$nombre,str_replace("<<EMAIL>>",$email,$SubjectMessage)));
	$BodyHTMLFileMessage=str_replace("<<COMENTARIO>>",$comentario,str_replace("<<EMAIL>>",$email,str_replace("<<NOMBRE>>",$nombre,str_replace("<<USERNAME>>",$usr,file_get_contents($body)))));
	$AdjuntoA="";
	$AdjuntoB="";
	$AdjuntoC="";
	$TIPO_CORREO = getINI("FUNCION_ENVIA_CORREO=","config.ini");
	$FROM = getINI("FROM_CORREO=","config.ini");
	if(strtoupper(trim($TIPO_CORREO)) == "MAIL"){
		mail($ParaEmail,$SubjectMessage,$BodyHTMLFileMessage,'From: '.$FROM);
	}else{
		SendMail($ParaEmail,$ParaNombre,$SubjectMessage,$BodyHTMLFileMessage,$AdjuntoA,$AdjuntoB,$AdjuntoC);
	}
}
?>